package com.steerinfo.meterwork.meterworkaddweight.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterWorkAddWeight implements IBasePO<String> {
    /**
     * 附加重量实绩编号(ADD_WEIGHT_ACT_NO,VARCHAR,40)
     */
    @ApiModelProperty(value="附加重量实绩编号",required=true)
    private String addWeightActNo;

    /**
     * 附加重量编号(ADD_WEIGHT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="附加重量编号",required=true)
    private String addWeightNo;

    /**
     * 器具编号(UTENSIL_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="器具编号",required=true)
    private String utensilNo;

    /**
     * 器具名称(UTENSIL_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="器具名称",required=true)
    private String utensilName;

    /**
     * 器具重量(UTENSIL_WEIGHT,VARCHAR,10)
     */
    @ApiModelProperty(value="器具重量",required=true)
    private Double utensilWeight;

    /**
     * 器具属性编号(UTENSIL_TYPE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="器具属性编号",required=true)
    private String utensilTypeNo;

    /**
     * 器具属性名称(UTENSIL_UTENSIL_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="器具属性名称",required=true)
    private String utensilUtensilName;

    /**
     * 计量作业编号(ACTUAL_FIRST_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量作业编号",required=true)
    private String actualFirstNo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.addWeightActNo;
    }

    @Override
    public void setId(String addWeightActNo) {
        this.addWeightActNo = addWeightActNo == null ? null : addWeightActNo.trim();
    }

    public String getAddWeightActNo() {
        return addWeightActNo;
    }

    public void setAddWeightActNo(String addWeightActNo) {
        this.addWeightActNo = addWeightActNo == null ? null : addWeightActNo.trim();
    }

    public String getAddWeightNo() {
        return addWeightNo;
    }

    public void setAddWeightNo(String addWeightNo) {
        this.addWeightNo = addWeightNo == null ? null : addWeightNo.trim();
    }

    public String getUtensilNo() {
        return utensilNo;
    }

    public void setUtensilNo(String utensilNo) {
        this.utensilNo = utensilNo == null ? null : utensilNo.trim();
    }

    public String getUtensilName() {
        return utensilName;
    }

    public void setUtensilName(String utensilName) {
        this.utensilName = utensilName == null ? null : utensilName.trim();
    }

    public Double getUtensilWeight() {
        return utensilWeight;
    }

    public void setUtensilWeight(Double utensilWeight) {
        this.utensilWeight = utensilWeight;
    }

    public String getUtensilTypeNo() {
        return utensilTypeNo;
    }

    public void setUtensilTypeNo(String utensilTypeNo) {
        this.utensilTypeNo = utensilTypeNo == null ? null : utensilTypeNo.trim();
    }

    public String getUtensilUtensilName() {
        return utensilUtensilName;
    }

    public void setUtensilUtensilName(String utensilUtensilName) {
        this.utensilUtensilName = utensilUtensilName == null ? null : utensilUtensilName.trim();
    }

    public String getActualFirstNo() {
        return actualFirstNo;
    }

    public void setActualFirstNo(String actualFirstNo) {
        this.actualFirstNo = actualFirstNo == null ? null : actualFirstNo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", addWeightActNo=").append(addWeightActNo);
        sb.append(", addWeightNo=").append(addWeightNo);
        sb.append(", utensilNo=").append(utensilNo);
        sb.append(", utensilName=").append(utensilName);
        sb.append(", utensilWeight=").append(utensilWeight);
        sb.append(", utensilTypeNo=").append(utensilTypeNo);
        sb.append(", utensilUtensilName=").append(utensilUtensilName);
        sb.append(", actualFirstNo=").append(actualFirstNo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}